(function($){
    $.fn.fix = function(options){
        var u = navigator.userAgent;
        if((u.indexOf('Android') > -1 || u.indexOf('Linux') > -1 ||u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1)){
            $("#scrollsidebar").css("display","none");
            return;
        }
        var defaults = {
            float : 'right',
            minStatue : true,
            skin : 'blue',
            durationTime : 1000
        };
        var options = $.extend(defaults, options);

        this.each(function(){
            //???????
            var thisBox = $(this),
                closeBtn = thisBox.find('.close_btn' ),
                show_btn = thisBox.find('.show_btn' ),
                sideContent = thisBox.find('.side_content');
            var defaultTop = thisBox.offset().top;	//????????top
            thisBox.css(options.float, 0);
            if(options.minStatue == "true"){
                show_btn.css("float", options.float);
                sideContent.css('width', 0);
                show_btn.css('width', 28);
            }
            //close
            closeBtn.bind("click",function(){
                sideContent.animate({width: '0px'},"fast");
                show_btn.stop(true, true).delay(300).animate({ width: '28px'},"fast");
                cookiesave('minStatue','true','','','');
            });
            //show
            show_btn.bind("click",function() {
                $(this).animate({width: '0px'},"fast");
                sideContent.stop(true, true).delay(200).animate({ width: '154px'},"fast");
                cookiesave('minStatue','false','','','');
            });
        });	//end this.each
    };
})(jQuery);

function f_submit()
{
    $("#new_memo").submit();
}

function cookiesave(n, v, mins, dn, path)
{
    if(n)
    {

        if(!mins) mins = 365 * 24 * 60;
        if(!path) path = "/";
        var date = new Date();
        date.setTime(date.getTime() + (mins * 60 * 1000));
        var expires = "; expires=" + date.toGMTString();
        if(dn) dn = "domain=" + dn + "; ";
        document.cookie = n + "=" + v + expires + "; " + dn + "path=" + path;

    }
}
function cookieget(n)
{
    var name = n + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i<ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(name) == 0){
            return c.substring(name.length,c.length);
        }
    }
    return false;
}


$(function(){
    var u = navigator.userAgent;
    if((u.indexOf('Android') > -1 || u.indexOf('Linux') > -1 ||u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1)){
        $("#scrollsidebar").css("display","none");
        return;
    }
    $(".closeSidebar").click(function(){
        $(".show_btn").css("display","none");
        $("#scrollsidebar").css("display","none");
        return false;
    });

    $("#button1").click(function(){
        myTips("反馈成功","success");
    });

    $("#scrollsidebar").fix({
        float: 'right',	//default.left or right
        minStatue: cookieget('minStatue'),
        skin: 'green',	//default.gray or blue
        durationTime: 600
    });

    $("#subject").keydown(function(){
        var curLength=$("#subject").val().length;
        if(curLength>50){
            var num=$("#subject").val().substr(0,50);
            $("#subject").val(num);
        }
        else{
            $("#textCount").text(50-$("#subject").val().length)
        }
    }).keyup(function(){
        var curLength=$("#subject").val().length;
        if(curLength>50){
            var num=$("#subject").val().substr(0,50);
            $("#subject").val(num);
        }
        else{
            $("#textCount").text(50-$("#subject").val().length)
        }
    });
});

//var browser={
//    versions:function(){
//        var u = navigator.userAgent, app = navigator.appVersion;
//        return {//移动终端浏览器版本信息
//            trident: u.indexOf('Trident') > -1, //IE内核
//            presto: u.indexOf('Presto') > -1, //opera内核
//            webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
//            gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
//            mobile: !!u.match(/AppleWebKit.*Mobile.*/)||!!u.match(/AppleWebKit/), //是否为移动终端
//            ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
//            android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
//            iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
//            iPad: u.indexOf('iPad') > -1, //是否iPad
//            webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
//        };
//    }(),
//    language:(navigator.browserLanguage || navigator.language).toLowerCase()
//}
//document.writeln("语言版本: "+browser.language);
//document.writeln(" 是否为移动终端: "+browser.versions.mobile);
//document.writeln(" ios终端: "+browser.versions.ios);
//document.writeln(" android终端: "+browser.versions.android);
//document.writeln(" 是否为iPhone: "+browser.versions.iPhone);
//document.writeln(" 是否iPad: "+browser.versions.iPad);
//document.writeln(navigator.userAgent);